[feature request] verifier - allow comments
OpenPublic

Description

It would be nice if I could add comments to #- (or //-) comments.

E.g.:

#- @"C1(10, y=20" ref/call vname("C0.__init__", "corpus", "", "", "python")  // C0 because of MRO
#- // This is a comment-only line.
zzz = C1(10, y=20)
pludemann created this task.Via WebJun 9 2016, 5:21 PM
pludemann added a subscriber: pludemann.
pludemann added a comment.Via WebJun 21 2016, 1:45 PM

You can probably close this ...

I've figured out that there's minimal need to clutter up my sources with verifier comments -- only the @"..." stuff needs to be next to the source lines and everything else can be elsewhere, even if in a separate file -- so the ordinary comments do just fine.

In my example, I could do:

#- Anchor_C1_call=@"C1(10, y=20)" childof ThisFile
#- // This is a comment-only line.
zzz = C1(10, y=20)

# C0 because of MRO:
#- Anchor_C1_cal ref/call vname("C0.__init__", "corpus", "", "", "python")
salguarnieri closed this task as "Wontfix".Via WebDec 8 2016, 6:04 PM
salguarnieri claimed this task.
salguarnieri added a subscriber: salguarnieri.

Closing per @pludemann's comment.

zarko reopened this task as "Open".Via WebThu, Mar 16, 11:03 AM
zarko added a subscriber: zarko.

Reopening.

zarko claimed this task.Via WebThu, Mar 16, 11:03 AM
zarko triaged this task as "Normal" priority.
zarko added a project: Verifier.

Add Comment